﻿using System.ComponentModel.DataAnnotations;

namespace Mirea.Api.Dto.Requests;

/// <summary>
/// Request to receive protected content
/// </summary>
public class LoginRequest
{
    /// <summary>
    /// Login or Email to identify the client.
    /// </summary>
    [Required]
    public required string Username { get; set; }

    /// <summary>
    /// The client's password.
    /// </summary>
    [Required]
    public required string Password { get; set; }
}