﻿using System;
using System.IO;
using System.Linq;

namespace Mirea.Api.Endpoint.Common.Services;

public static class PathBuilder
{
    public static bool IsDefaultPath => Environment.GetEnvironmentVariable("PATH_TO_SAVE") == null;
    public static string PathToSave => Environment.GetEnvironmentVariable("PATH_TO_SAVE") ?? Directory.GetCurrentDirectory();
    public static string Combine(params string[] paths) => Path.Combine([.. paths.Prepend(PathToSave)]);
}