﻿using Microsoft.OpenApi.Models;
using Mirea.Api.Endpoint.Common.Attributes;
using Swashbuckle.AspNetCore.SwaggerGen;
using System.Reflection;

namespace Mirea.Api.Endpoint.Configuration.Swagger;

public class SwaggerExampleFilter : ISchemaFilter
{
    public void Apply(OpenApiSchema schema, SchemaFilterContext context)
    {
        var att = context.ParameterInfo?.GetCustomAttribute<SwaggerDefaultAttribute>();
        if (att != null)
            schema.Example = new Microsoft.OpenApi.Any.OpenApiString(att.Value);
    }
}