﻿using Microsoft.EntityFrameworkCore;

namespace Mirea.Api.DataAccess.Persistence.Common;

public abstract class BaseDbContext<TContext>(DbContextOptions<TContext> options) : DbContext(options) where TContext : DbContext
{
    public void ApplyConfigurations(ModelBuilder modelBuilder) =>
        base.OnModelCreating(modelBuilder);
}